org.eclipse.microprofile.metrics.tck.inheritance

## Class InheritedSimplyTimedMethodBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.inheritance.VisibilitySimplyTimedMethodBean
  - - org.eclipse.microprofile.metrics.tck.inheritance.InheritedSimplyTimedMethodBean

    public class InheritedSimplyTimedMethodBean
    extends VisibilitySimplyTimedMethodBean

### Constructor Summary

Constructors
Constructor and Description
`InheritedSimplyTimedMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `simplyTimedMethodOne()`
`protected void` `simplyTimedMethodProtected()`
`void` `simplyTimedMethodTwo()`

### Methods inherited from class org.eclipse.microprofile.metrics.tck.inheritance.VisibilitySimplyTimedMethodBean

`protectedSimplyTimedMethod, publicSimplyTimedMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InheritedSimplyTimedMethodBean

    public InheritedSimplyTimedMethodBean()

### Method Detail

#### simplyTimedMethodOne

    @SimplyTimed
    public void simplyTimedMethodOne()

#### simplyTimedMethodTwo

    @SimplyTimed
    public void simplyTimedMethodTwo()

#### simplyTimedMethodProtected

    @SimplyTimed
    protected void simplyTimedMethodProtected()